#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		guilever	3.0
#-----------------------------------------------------------------------------
Name		:	gnucash
Version		:	5.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Finance management application

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/Gnucash/gnucash

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	aqbanking-devel
BuildRequires	:	cmake
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	glib-devel	>= 2.72.1
BuildRequires	:	gmock-devel
BuildRequires	:	gtest-devel
BuildRequires	:	gtk3+		>= 3.24.33
BuildRequires	:	guile-devel
BuildRequires	:	gwenhywfar-devel
BuildRequires	:	libdbi-devel
BuildRequires	:	libofx-devel
BuildRequires	:	webkit2gtk4.1-devel

Requires	:	%{name}-docs	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root, -)
%doc %{_datadir}/doc/%{name}/*
%config(noreplace) %{_sysconfdir}/%{name}/environment
%{_bindir}/gnc-*
%{_bindir}/finance-quote-wrapper
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-valgrind
%{_libdir}/%{name}/libgnc*.so
%{_libdir}/libgnc*.so
%{_libdir}/lib%{name}-guile.so
%{_libdir}/guile/%{guilever}/site-ccache/%{name}/
%{python3_sitearch}/%{name}/_*.so
%{python3_sitearch}/%{name}/*.py
%{python3_sitearch}/%{name}/__pycache__/*.pyc
%{_datadir}/glib-2.0/schemas/org.%{name}.GnuCash.*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/pref_transformations.xml
%{_datadir}/%{name}/tip_of_the_day.list
%{_datadir}/%{name}/accounts/*
%{_datadir}/%{name}/chartjs/*.js
%{_datadir}/%{name}/checks/*.chk
%{_datadir}/%{name}/gtkbuilder/*.glade
%{_datadir}/%{name}/icons/hicolor/*/actions/gnc-*.png
%{_datadir}/%{name}/pixmaps/%{name}*
%{_datadir}/%{name}/ui/accelerator-map
%{_datadir}/%{name}/ui/accelerator-map-osx
%{_datadir}/%{name}/python/init.py
%{_datadir}/%{name}/python/pycons/*.py
%{_datadir}/%{name}/python/pycons/pycons
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/guile/site/%{guilever}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/finance-quote-wrapper.1.gz
%{_mandir}/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/%{name}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/%{name}/icons/hicolor > /dev/null 2>&1

#=============================================================================
%package		pgsql

Summary		:	plugin to access postgresql database

#-----------------------------------------------------------------------------
BuildRequires	:	libdbi-drivers-pgsql

Requires	:       %{name} = %{version}-%{release}
Requires	:       libdbi-drivers-pgsql

#-----------------------------------------------------------------------------
%description		pgsql
To use postgresql data base as '%{name}' backend.

#-----------------------------------------------------------------------------
%files			pgsql
%defattr(-,root,root,-)

#=============================================================================
%package		mysql

Summary		:	plugin to access mysql database

#-----------------------------------------------------------------------------
BuildRequires	:	libdbi-drivers-mysql

Requires	:       %{name} = %{version}-%{release}
Requires	:       libdbi-drivers-mysql

#-----------------------------------------------------------------------------
%description		mysql
To use mariadb data base as '%{name}' backend.

#-----------------------------------------------------------------------------
%files			mysql
%defattr(-,root,root,-)

#=============================================================================
%package		sqlite

Summary		:	plugin to access sqlite database

#-----------------------------------------------------------------------------
BuildRequires	:	libdbi-drivers-sqlite

Requires	:       %{name} = %{version}-%{release}
Requires	:       libdbi-drivers-sqlite

#-----------------------------------------------------------------------------
%description		sqlite
To use sqlite3 data base as '%{name}' backend.

#-----------------------------------------------------------------------------
%files			sqlite
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


cmake								\
	-B builder						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}		\
	-D BUILDING_FROM_VCS=NO					\
	-D WITH_AQBANKING=ON					\
	-D WITH_OFX=ON						\
	-D WITH_SQL=ON						\
	-D WITH_PYTHON=ON					\
	-D COMPILE_GSCHEMAS=OFF					\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	-C builder						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
desktop-file-validate	%{buildroot}%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C builder						\
	DESTDIR=%{buildroot}					\
	install

%{__rm} -fr							\
	%{buildroot}%{_includedir}				\
	%{buildroot}%{_datadir}/guile/site/%{guilever}/tests	\


%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
